

/* ====================================
   HEADER BUTTON
==================================== */

.Track_shipment .vip-modal-content{
    background-image: url("/assets/images/tracking_map_bg/bg.png") !important;
        width: 100%;
    height: 100%;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.Track_shipment .track_header_main {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
}
/* ====================================
   TRACK CONTENT
==================================== */

.Track_shipment .vip-modal-content {
  padding-top: 10px;
}

/* Shipment Header */

.Track_shipment .track_header_main {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.Track_shipment .track_header_main .track_title {
  display: flex;
  align-items: center;
  gap: 12px;
}





.Track_shipment .track_header_main .track_status {
  background: #d89d2f;
  color: #ffffff;
  padding: 7px 16px;
  border-radius: 20px;
  font-size: 15px;
  font-weight: 600;
}

/* ====================================
   TRACKING STEPS
==================================== */

.Track_shipment .tracking_step_main {
  position: relative;
  display: flex;
  justify-content: space-between;
  gap: 18px;
}

/* Dashed Line */

.Track_shipment .tracking_step_main .tracking_line {
    position: absolute;
    top: 12px;
    left: 0px;
    width: 100%;
    border-top: 3px dashed #555555;
    z-index: 1;
}

/* Step */

.Track_shipment .tracking_step_main .tracking_step {
  width: 16%;
  position: relative;
  z-index: 2;
}

.Track_shipment
  .tracking_step_main
  .tracking_step
  .step_circle {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #ffffff;
  border: 4px solid #7b7b7b;
  margin-bottom: 20px;
  position: relative;
}

.Track_shipment
  .tracking_step_main
  .tracking_step
  .step_circle::after {
  content: "";
  width: 10px;
  height: 10px;
  background: #000000;
  border-radius: 50%;

  position: absolute;
  top: 6px;
  left: 6px;
}

/* Active Step */

.Track_shipment
  .tracking_step_main
  .tracking_step.active_step
  .step_circle {
  border-color: #d50000;
}

.Track_shipment
  .tracking_step_main
  .tracking_step.active_step
  .step_circle::after {
  display: none;
}

/* Text */

.Track_shipment
  .tracking_step_main
  .tracking_step
  h4 {
    font-size: 14px;
    font-weight: 700;
    color: #222222;
    margin-bottom: 12px;
    text-align: left;
}

.Track_shipment
  .tracking_step_main
  .tracking_step.active_step
  h4 {
  color: #d50000;
}

.Track_shipment
  .tracking_step_main
  .tracking_step
  p {
    font-size: 14px;
    color: #666666;
    text-align: left;
}

.Track_shipment
  .tracking_step_main
  .tracking_step
  .step_date {
    display: flex;
    flex-direction: column;
    gap: 5px;
    text-align: left;
}
.Track_shipment
  .tracking_step_main
  .tracking_step
  .step_date
  span {
    font-size: 12px;
    font-weight: 600;
    color: #4a4a4a;
}

/* ====================================
   RESPONSIVE
==================================== */

@media (max-width: 991px) {

.Track_shipment .tracking_step_main {
    flex-direction: column;
    padding-bottom: 20px;
    width: 100%;
}

.Track_shipment .tracking_step_main .tracking_step {
    width: 100%;
    left: -13px;
    display: flex;
    gap: 10px;
}
.Track_shipment .tracking_step_main .tracking_line {
    border-top: none;
    border-left: 3px dashed #555555;
    height: 100%;
}
}

@media (max-width: 768px) {

.Track_shipment .track_header_main {
    flex-direction: column;
    gap: 5px;
}

  .Track_shipment
    .track_header_main
    .track_title
    h3 {
    font-size: 18px;
  }

  .Track_shipment
    .track_header_main
    .track_status {
    font-size: 14px;
  }
}